<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

	<uses-feature
		android:name="android.software.leanback"
		android:required="false" />
	<uses-feature
		android:name="android.hardware.touchscreen"
		android:required="false" />

	<uses-permission android:name="android.permission.POST_NOTIFICATIONS"/> <!-- lint -->
	<application
		android:name=".DemoApp"
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="Media Session Demo"
		android:supportsRtl="true"
		android:theme="@style/AppTheme"
		android:usesCleartextTraffic="true"
		android:banner="@drawable/castlabs"> <!-- This is for debugging purposes only to be able to load content from http on >= Android 9 -->

		<meta-data android:name="castlabs-license"
				   android:value="${castlabsLicense}" />

		<activity android:name=".MainActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN"/>
				<category android:name="android.intent.category.LEANBACK_LAUNCHER" />
				<category android:name="android.intent.category.LAUNCHER"/>
			</intent-filter>
		</activity>
		<activity
			android:name=".SimplePlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:theme="@style/PlayerTheme"
			android:parentActivityName=".MainActivity">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value=".MainActivity"/>
		</activity>
		<activity
			android:name=".SimplePlayServiceDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.mediasession_demo.MainActivity" />
		</activity>
		<activity
			android:name=".ConcatenatingPlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:theme="@style/PlayerTheme"
			android:parentActivityName=".MainActivity">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value=".MainActivity"/>
		</activity>

		<!-- Optional: Only if you need to declare a custom MediaSessionService -->
		<service
			android:name=".SimplePlayServiceDemo$CustomMediaSessionService"
			android:foregroundServiceType="mediaPlayback"
			android:exported="true">
			<intent-filter>
				<action android:name="androidx.media3.session.MediaSessionService"/>
				<action android:name="android.media.browse.MediaBrowserService"/>
			</intent-filter>
		</service>

	</application>

</manifest>
